package com.huimv.manager.controller;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.huimv.manager.service.IImageCatalogSerivce;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@CrossOrigin
@RestController
@RequestMapping("/catalog")
public class ImageCatalogController {
    @Autowired
    private IImageCatalogSerivce imageCatalogSerivce;

    @RequestMapping(value = "/list",method = RequestMethod.GET)
    public JSONArray getCatalog(){
        //
        return imageCatalogSerivce.getImageCatalog();
    }
}
