package com.huimv.manager.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.huimv.manager.dao.entity.ImageCatalogEntity;
import com.huimv.manager.dao.repo.ImageCatalogEntityRepository;
import com.huimv.manager.service.IImageCatalogSerivce;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class ImageCatalogServiceImpl implements IImageCatalogSerivce {
    @Autowired
    private ImageCatalogEntityRepository imageCatalogRepo;

    @Override
    public JSONArray getImageCatalog() {
        //
        List<ImageCatalogEntity> imageCatalogEntityList = imageCatalogRepo.getImageCatalog();
        if(imageCatalogEntityList.size()>0){
//            JSONArray dataJa = (JSONArray) JSONObject.toJSON(imageCatalogEntityList);
//            System.out.println("dataJa>>"+dataJa);
            JSONArray newJa = new JSONArray();
            JSONObject emptyJo = new JSONObject();
            emptyJo.put("catalogName","全部");
            emptyJo.put("catalogPath","");
            newJa.add(emptyJo);
            for(ImageCatalogEntity imageCatalogEntity:imageCatalogEntityList){
                JSONObject dataJo = new JSONObject();
                dataJo.put("catalogName",imageCatalogEntity.getCatalogName());
                dataJo.put("catalogPath",imageCatalogEntity.getCatalogPath());
                newJa.add(dataJo);
            }
            return newJa;
        }else{
            JSONObject emptyJo = new JSONObject();
            emptyJo.put("catalogName","全部");
            emptyJo.put("catalogPath","");
            JSONArray newJa = new JSONArray();
            newJa.add(emptyJo);
            return newJa;
        }
    }
}
